> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/deploymentenvironment.md).

# Deployment

The DeploymentEnvironment is the topmost element in the deployment configuration hierarchy. It is normally used to reflect a title (game) that you host on our platform, split up into e.g. development, testing and production environments.

![DeploymentConfigurationOverviewDepEnv](https://3255620342-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTxqXHcEUC6lhXmjD6wE0%2Fuploads%2Fgit-blob-5aa0475bd410a88925ea4b5775a0de20e8305afb%2FDeploymentConfigurationOverviewDepEnv.png?alt=media)

Figure 1: DeploymentEnvironment's place in the Deployment Configuration

## Usage

Our recommendation is to create an environment per title. Additionally, separating your live environment from any development environments is advised so changes and experiments done for development purposes in a development environment won't affect your live environment.

Within a DeploymentEnvironment you can create multiple [Fleet](https://docs.i3d.net/game-hosting/elements/deploymentenvironment/fleet.md)s, in case you want to separate e.g. different platforms like PC, PS4, Xbox, Switch, etc.

## Element structure

| Property  | Value type | Required  | Description                                       |
| --------- | ---------- | --------- | ------------------------------------------------- |
| id        | string     | Read-only | Unique identifier of this element                 |
| name      | string     | Yes       | Name of the deployment environment                |
| createdAt | int        | Read-only | A unix timestamp of when this element was created |

Table 1: DeploymentEnvironment element structure

## API example

Create a new DeploymentEnvironment within your i3D.net account.

[Full API reference](https://docs.i3d.net/api/api_one.md)

#### HTTP request

[`POST /v3/deploymentEnvironment`](https://docs.i3d.net/api/api_one.md#v3-deploymentenvironment)

#### Request body

```
{
  "name": "Bluewolf"
}
```

#### Response body

```
[
  {
    "id": "173892217340309897",
    "name": "Bluewolf",
    "createdAt": 1568312996
  }
]
```

## Related topics

* [Orchestrator Overview](https://docs.i3d.net/game-hosting/game-integration/orchestratoroverview.md)
* [Game Deployment Quick Start Guide](https://docs.i3d.net/game-hosting/overview/quick-start.md)
* [i3d.net API documentation](https://www.i3d.net/docs/api/v3/all/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/game-hosting/elements/deploymentenvironment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
